exec-once="hyprpaper"

decoration {
	rounding = 0
}
general {
	col.active_border = rgb(b8bb26)
	col.inactive_border = rgb(282828)
	border_size = 2
	gaps_in = 10
	gaps_out = 20
}
input {
	kb_layout = gb
}
bind = SUPER, Q, exec, kitty --hold fastfetch
bind = SUPER, C, killactive,
bind = SUPER, M, fullscreen, 1
bind = SUPER, V, togglefloating,
bind = SUPER, Space, exec, fuzzel
bind = SUPER, P, exec, ~/bin/screenshot-w
bind = SUPER, J, togglesplit, # dwindle
bind = SUPER SHIFT, up, exec, pactl set-sink-volume 0 +5%
bind = SUPER SHIFT, down, exec, pactl set-sink-volume 0 -5%
bind = SUPER, F, fullscreen,
bind = SUPER, L, exec, hyprlock
bind = SUPER SHIFT, E, exit
bind = SUPER SHIFT, F, exec, pcmanfm 

# Move focus with mainMod + arrow keys
bind = SUPER, left, movefocus, l
bind = SUPER, right, movefocus, r
bind = SUPER, up, movefocus, u
bind = SUPER, down, movefocus, d

# Switch workspaces with mainMod + [0-9]
bind = SUPER, 1, workspace, 1
bind = SUPER, 2, workspace, 2
bind = SUPER, 3, workspace, 3
bind = SUPER, 4, workspace, 4
bind = SUPER, 5, workspace, 5
bind = SUPER, 6, workspace, 6
bind = SUPER, 7, workspace, 7
bind = SUPER, 8, workspace, 8
bind = SUPER, 9, workspace, 9
bind = SUPER, 0, workspace, 10

# Move active window to a workspace with mainMod + SHIFT + [0-9]
bind = SUPER SHIFT, 1, movetoworkspace, 1
bind = SUPER SHIFT, 2, movetoworkspace, 2
bind = SUPER SHIFT, 3, movetoworkspace, 3
bind = SUPER SHIFT, 4, movetoworkspace, 4
bind = SUPER SHIFT, 5, movetoworkspace, 5
bind = SUPER SHIFT, 6, movetoworkspace, 6
bind = SUPER SHIFT, 7, movetoworkspace, 7
bind = SUPER SHIFT, 8, movetoworkspace, 8
bind = SUPER SHIFT, 9, movetoworkspace, 9
bind = SUPER SHIFT, 0, movetoworkspace, 10

# Mouse binds
bindm = SUPER, mouse:272, movewindow
bindm = SUPER, mouse:273, resizewindow
